SDL_CreateGPUDevice(3)

NAME
SDL_CreateGPUDevice - Creates a GPU context.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

SDL_GPUDevice * SDL_CreateGPUDevice(
    SDL_GPUShaderFormat format_flags,
    bool debug_mode,
    const char *name);

DESCRIPTION
The GPU driver name can be one of the following:

• "vulkan": [Vulkan](CategoryGPU#vulkan)

• "direct3d12": [D3D12](CategoryGPU#d3d12)

• "metal": [Metal](CategoryGPU#metal)

• NULL: let SDL pick the optimal driver

FUNCTION PARAMETERS

format_flags
    a bitflag indicating which shader formats the app is able to provide.

debug_mode
    enable debug mode properties and validations.

name
    the preferred GPU driver, or NULL to let SDL pick the optimal driver.

RETURN VALUE
Returns a GPU context on success or NULL on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateGPUDeviceWithProperties(3), SDL_GetGPUShaderFormats(3), SDL_GetGPUDeviceDriver(3), SDL_DestroyGPUDevice(3), SDL_GPUSupportsShaderFormats(3)